<?php
namespace MageWorx\OptionGraphQl\Model\Resolver\AdvancedProductOptionsSettings;

/**
 * Interceptor class for @see \MageWorx\OptionGraphQl\Model\Resolver\AdvancedProductOptionsSettings
 */
class Interceptor extends \MageWorx\OptionGraphQl\Model\Resolver\AdvancedProductOptionsSettings implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Serialize\SerializerInterface $serializer, $data = [])
    {
        $this->___init();
        parent::__construct($serializer, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function resolve(\Magento\Framework\GraphQl\Config\Element\Field $field, $context, \Magento\Framework\GraphQl\Schema\Type\ResolveInfo $info, ?array $value = null, ?array $args = null) : array
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'resolve');
        return $pluginInfo ? $this->___callPlugins('resolve', func_get_args(), $pluginInfo) : parent::resolve($field, $context, $info, $value, $args);
    }
}
